> ## Documentation Index
> Fetch the complete documentation index at: https://developer.willro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Reviews



## OpenAPI

````yaml GET /integration/business-api/reviews
openapi: 3.0.3
info:
  title: Willro API
  version: 1.0.0
  description: API documentation for Willro sandbox integration endpoints.
servers:
  - url: https://prod.willro.com/api/v1
security:
  - ApiKeyAuth: []
paths:
  /integration/business-api/reviews:
    get:
      summary: Get Business Reviews
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 10
          description: Number of reviews per page.
        - name: page
          in: query
          schema:
            type: integer
            default: 1
          description: Page number.
        - name: mediaType
          in: query
          schema:
            type: string
            enum:
              - IMAGE
              - TEXT
              - VIDEO
          description: Filter reviews by attached media type.
        - name: sortType
          in: query
          schema:
            type: string
            enum:
              - MOST_RELEVANT
              - HIGHEST_REVIEWS
              - LOWEST_REVIEWS
              - RECENT_REVIEWS
              - RECENT_WITH_MIN_ONE_REVIEW
          description: Sort reviews by relevance, rating, or recency.
        - name: rating
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 5
          description: Filter reviews by rating value (1–5).
      responses:
        '200':
          description: Reviews retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewsResponse'
        '401':
          description: Unauthorized. Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ReviewsResponse:
      type: object
      properties:
        links:
          type: object
          properties:
            self:
              type: string
              example: >-
                /api/v1/integration/business-api/reviews?expand=&limit=10&page=1&q=&sortBy=createdAt&sortType=DESC
            next:
              type: string
              example: >-
                /api/v1/integration/business-api/reviews?expand=&limit=10&page=2&q=&sortBy=createdAt&sortType=DESC
        pagination:
          type: object
          properties:
            page:
              type: integer
              example: 1
            limit:
              type: integer
              example: 10
            totalItems:
              type: integer
              example: 14
            totalPages:
              type: integer
              example: 2
            nextPage:
              type: integer
              example: 2
        data:
          type: array
          items:
            type: object
            description: Example review object from your earlier payloads.
            properties:
              author:
                type: object
                properties:
                  name:
                    type: string
                    example: Harry Potter
                  picture:
                    type: string
                    format: uri
                    example: >-
                      https://ik.imagekit.io/willro/cartoo-character-mypic_bceB6CpKB.png?fileId=6853c81fb13a102537629e41&fileType=image
                  username:
                    type: string
                    example: harray99
              feeling:
                type: string
                example: 6827253aa294064355027215
              rating:
                type: integer
                example: 5
              content:
                type: string
                example: This is a sample feed post with images and location!
              views:
                type: integer
                example: 0
              layout:
                type: string
                example: CLASSIC
              visibility:
                type: string
                example: PUBLIC
              createdAt:
                type: string
                format: date-time
                example: '2025-07-06T04:30:33.990Z'
              updatedAt:
                type: string
                format: date-time
                example: '2025-07-06T04:41:01.859Z'
              business:
                type: object
                properties:
                  businessName:
                    type: string
                    example: Willro update
                  logo:
                    type: string
                    format: uri
                    example: >-
                      https://ik.imagekit.io/willro/profile-images/profile_1752056775480_alamin-blue-shirt_rzdJZMXor.jpeg?fileId=686e43c95c7cd75eb8b5ed7a&fileType=image
                  website:
                    type: string
                    format: uri
                    example: https://willro.com
                  category:
                    type: string
                    example: finance
                  averageRating:
                    type: integer
                    example: 4
                  totalReview:
                    type: integer
                    example: 5
              reactions:
                type: integer
                example: 1
              topReactions:
                type: array
                items:
                  type: string
                example:
                  - LOVE
              comments:
                type: integer
                example: 1
              shares:
                type: integer
                example: 1
              location:
                type: string
                example: London, Uk
              medias:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 6869fbea6cd14e52a90a0642
                    url:
                      type: string
                      format: uri
                      example: https://example.com/image1.jpg
                    thumbnailUrl:
                      type: string
                      format: uri
                      example: https://example.com/thumb1.jpg
                    type:
                      type: string
                      example: IMAGE
                    fileName:
                      type: string
                      example: image1.jpg
          example:
            - author:
                name: John Doe
                picture: https://example.com/avatar.jpg
                username: johndoe
                isVerified: true
                totalReview: 10
              business:
                businessName: ExampleCo
                logo: https://example.com/logo.png
                website: https://example.com
                category: Retail
                averageRating: 3.2
                totalReview: 12
                isVerified: true
              rating: 3
              content: Test review for engagement 1
              views: 6000
              layout: CLASSIC
              publishedAt: '2025-12-07T04:00:14.761Z'
              id: 6934fbc2f42d4678c9bd97a5
              reactions: 1
              topReactions:
                - AGREE
              comments: 50
              shares: 50
              location: London, Uk
              media:
                url: https://example.com/image1.jpg
                type: IMAGE
                thumbnailUrl: https://example.com/thumb1.jpg
    AuthError:
      type: object
      properties:
        code:
          type: integer
          example: 401
        message:
          type: string
          example: API key is required
        timestamp:
          type: string
          format: date-time
          example: '2025-07-09T08:33:54.383Z'
        path:
          type: string
          example: /api/integration/business-api/reviews?page=1&limit=10
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Use this API Key:
        willro_live_sk_95ad4a1e-48ac-4872-ae02-0d40072b60bf_6b7ec4b3af7911a65ee1c3a5ce3fe84b8c2e34136ca71030

````